package edu.lawrence.boundary;

import java.io.File;
import java.util.ArrayList;
import java.util.Scanner;
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.scene.layout.StackPane;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Polygon;
import javafx.stage.Stage;


/**
 * JavaFX App
 */
public class App extends Application {

    @Override
    public void start(Stage stage) {
        Pane pane = new Pane();
        Scanner input = null;
        try {
            input = new Scanner(new File("boundary.txt"));
        } catch(Exception ex) {
            System.out.println("Could not open input file.");
            System.exit(1);
        }
        
        ArrayList<Double> coords = new ArrayList<Double>();
        while(input.hasNextDouble()) {
            double x = input.nextDouble();
            double y = input.nextDouble();
            coords.add(x);
            coords.add(y);
        }
        input.close();
        double c[] = new double[coords.size()];
        for(int n = 0;n < c.length;n++) {
            if(n%2==0)
              c[n] = coords.get(n);
            else
              c[n] = 400 - coords.get(n);
        }
        Polygon poly = new Polygon(c);
        poly.setFill(Color.WHITE);
        poly.setStroke(Color.BLACK);
        pane.getChildren().add(poly);
        
        try {
            input = new Scanner(new File("points.txt"));
        } catch(Exception ex) {
            System.out.println("Could not open input file.");
            System.exit(1);
        }
        
        while(input.hasNextInt()) {
            int x = input.nextInt();
            int y = input.nextInt();
            Circle circ = new Circle();
            circ.setCenterX(x);
            circ.setCenterY(400-y);
            circ.setRadius(2);
            pane.getChildren().add(circ);
        }
        input.close();
        var scene = new Scene(new StackPane(pane), 400, 400);
        stage.setScene(scene);
        stage.setTitle("Boundary");
        stage.show();
    }

    public static void main(String[] args) {
        launch();
    }

}